Package com.databend.jdbc

# Class QueryLiveness

java.lang.Object
com.databend.jdbc.QueryLiveness

public class QueryLiveness extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryLiveness(String queryID, String nodeID, AtomicLong lastRequestTime, Long resultTimeoutSecs, com.github.zafarkhaja.semver.Version severVersion)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryLiveness

public QueryLiveness(String queryID, String nodeID, AtomicLong lastRequestTime, Long resultTimeoutSecs, com.github.zafarkhaja.semver.Version severVersion)